function init(hero) {
    hero.setName("Deathstroke");
    hero.setTier(6);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:chronos_rifle");
    
    hero.addPowers("mvh:tt_deathstroke");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 6.6, 0);
    hero.addAttribute("SPRINT_SPEED", 0.20, 1);
    hero.addAttribute("FALL_RESISTANCE", 0.1, 1);
    
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("BLADE", "Equip Sword", 2);

    hero.addAttributeProfile("SWORD", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function weaponProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
    profile.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    profile.addAttribute("WEAPON_DAMAGE", 7.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("BASE_SPEED", 0.10, 1);
    profile.addAttribute("REACH_DISTANCE", 2.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "SWORD" : null;
}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}